Browse Source

Renamed script to create_makefiles.sh, copy instead of link (to allow cygwin users to build), creates all Makefiles now, should be only used if the master copies are updated

Peter S. Mazinger 18 years ago
parent
commit
a4753b1da2
2 changed files with 66 additions and 28 deletions
  1. 0 28
      extra/scripts/create_links.sh
  2. 66 0
      extra/scripts/create_makefiles.sh

+ 0 - 28
extra/scripts/create_links.sh

@@ -1,28 +0,0 @@
-#! /bin/sh
-#
-# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
-#
-# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
-#
-
-# Creates the necessary links to build w/ the Makefile.in files
-
-DIRS="ldso libc libcrypt libintl libm libnsl libpthread libresolv librt libutil"
-DIRS2="ldso/ldso ldso/libdl libpthread/linuxthreads libpthread/linuxthreads_db"
-
-for x in ${DIRS} ; do
-	find ${x} -type f -name Makefile -exec rm -f {} \;
-	ln -sf ../extra/scripts/Makefile.libs.lvl1 ${x}/Makefile
-done
-
-for x in ${DIRS2} ; do
-	ln -sf ../../extra/scripts/Makefile.libs.lvl2 ${x}/Makefile
-done
-
-ln -sf ../../../extra/scripts/Makefile.objs.lvl3 libc/sysdeps/linux/Makefile
-ln -sf ../../extra/scripts/Makefile.objs.lvl2 libc/string/Makefile
-
-rm -f Makefile
-ln -sf Makefile.in Makefile
-
-exit 0

+ 66 - 0
extra/scripts/create_makefiles.sh

@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# Copyright (C) 2000-2005 Erik Andersen <andersen@uclibc.org>
+#
+# Licensed under the LGPL v2.1, see the file COPYING.LIB in this tarball.
+#
+
+# Creates the necessary Makefiles to build w/ the Makefile.{arch,in} files
+
+DIRS="ldso libc libcrypt libintl libm libnsl libpthread libresolv librt libutil"
+
+if [ ! -f Makerules ] ; then
+	echo "Run this command in top_srcdir"
+	exit 1
+fi
+
+if [ -z "${USE_CMD}" ] ; then
+USE_CMD="cp"
+fi
+
+RM="rm -f"
+${RM} Makefile
+${USE_CMD} Makefile.in Makefile
+
+#for x in ${DIRS} ; do
+#	find ./${x} -name Makefile -exec rm -f {} \;
+#done
+
+for x in */Makefile.in ; do
+	${RM} $(dirname ${x})/Makefile
+	${USE_CMD} extra/scripts/Makefile.libs.lvl1 $(dirname ${x})/Makefile
+done
+
+for x in */*/Makefile.in ; do
+	${RM} $(dirname ${x})/Makefile
+	${USE_CMD} extra/scripts/Makefile.objs.lvl2 $(dirname ${x})/Makefile
+done
+
+# overwrites the earlier ones, we do not add arch specific to libm/arch
+for x in ldso/*/Makefile.in libpthread/*/Makefile.in ; do
+	${RM} $(dirname ${x})/Makefile
+	${USE_CMD} extra/scripts/Makefile.libs.lvl2 $(dirname ${x})/Makefile
+done
+
+for x in */*/*/Makefile.in ; do
+	${RM} $(dirname ${x})/Makefile
+	${USE_CMD} extra/scripts/Makefile.objs.lvl3 $(dirname ${x})/Makefile
+done
+
+for x in libc/*/*/Makefile.arch ; do
+	${RM} $(dirname ${x})/Makefile
+	${USE_CMD} extra/scripts/Makefile.arch.lvl3 $(dirname ${x})/Makefile
+done
+
+for x in */*/*/*/Makefile.in ; do
+	${RM} $(dirname ${x})/Makefile
+	${USE_CMD} extra/scripts/Makefile.objs.lvl4 $(dirname ${x})/Makefile
+done
+
+# we do not add these to libpthread/PTNAME/sysdeps/arch
+for x in libc/*/*/*/Makefile.arch ; do
+	${RM} $(dirname ${x})/Makefile
+	${USE_CMD} extra/scripts/Makefile.arch.lvl4 $(dirname ${x})/Makefile
+done
+
+exit 0